<!DOCTYPE html>
<html>
  <head>
  </head>
  <body ng-app class='container'>
    <div>
      <input type="checkbox" ng-model="checked"/>
      <input type="checkbox" ng-model="checked"/>
      <div class="check-element animate-show-hide" ng-show="checked">
        I show up when your checkbox is checked.
      </div>
      <p ng-underline="checked">text is underlined when checkbox is checked</p>
      <div>
        <input type="checkbox" ng-model="checkif"/>
        <p ng-if="checkif">I'm removed when the checkbox is unchecked</p>
      </div>
      <input ng-model="names" value="123">
      <ul>
        <li ng-repeat="letter in names" ng-if="letter!=='a'">
          <span ng-click="console.log(1)">{{letter | toCurrencyUS}}</span>
        </li>
      </ul>
      <button ng-click="count = count + 1" ng-init="count=0">Increment</button>
      <p ng-bind="count"></p>
      <span>Searched word: <input type="text" ng-model="search" value="Java"></span>
      <span ng-mark="search">JavaScript is the programming language of the Web. The overwhelming majority of
        modern websites use JavaScript, and all modern web browsers—on desktops, game
        consoles, tablets, and smart phones—include JavaScript interpreters, making Java-
        Script the most ubiquitous programming language in history. </span>
      <button ng-click="console.log(ctrl.name)">Increment</button>
      <input ng-model="test" value="bcd">
      <ul>
        <li ng-repeat="letter1 in test" ng-if="letter1!=='a'">
          <span ng-click="console.log(1)">{{letter1 | toUpperCase | toCurrencyUS}} + {{letter1}}</span>
        </li>
      </ul>
    </div>
  </body>
</html>